package com.pj.tb_iport_order;

import java.util.List;

import com.pj.api.client.async_server.AsyncServerInterface;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

/**
 * Service: tb_iport_order -- 进口申报单
 * @author lbl
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbIportOrderService extends ServiceImpl<TbIportOrderMapper, TbIportOrder> implements IService<TbIportOrder>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbIportOrderMapper tbIportOrderMapper;
	@Autowired
	private AsyncServerInterface asyncServerInterface;

	/** 增 */
	void add(TbIportOrder t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbIportOrder t){
		updateById(t);

	}

	/** 查 */
	TbIportOrder getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<TbIportOrder> getList(SoMap so) {
		return tbIportOrderMapper.getList(so);
	}


}
